### Class

# GUPnP ServiceProxyActionIter

since: 1.6.6

#### Description [src]

    final class GUPnP.ServiceProxyActionIter : GObject.Object
    {
      /* No available fields */
    }

An opaque object representing an iterator over the out parameters of an action.

Available since: 1.6.6

#### Ancestors

- GObject

#### Instance methods

###### gupnp_service_proxy_action_iter_get_name

Get the name of the current out argument.

since: 1.6.6

###### gupnp_service_proxy_action_iter_get_value

Get the value of the current parameter.

since: 1.6.6

###### gupnp_service_proxy_action_iter_get_value_as

Get the value of the current parameter.

since: 1.6.8

###### gupnp_service_proxy_action_iter_next

Move `self` to the next out value of the iterated action.

since: 1.6.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPServiceProxyActionIterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.